//go:build !ignore_autogenerated
// +build !ignore_autogenerated

/*
Copyright 2022.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by controller-gen. DO NOT EDIT.

package v1alpha1

import (
	runtime "k8s.io/apimachinery/pkg/runtime"
)

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *CfgPatch) DeepCopyInto(out *CfgPatch) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new CfgPatch.
func (in *CfgPatch) DeepCopy() *CfgPatch {
	if in == nil {
		return nil
	}
	out := new(CfgPatch)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *CfgResource) DeepCopyInto(out *CfgResource) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new CfgResource.
func (in *CfgResource) DeepCopy() *CfgResource {
	if in == nil {
		return nil
	}
	out := new(CfgResource)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ConfigCtrl) DeepCopyInto(out *ConfigCtrl) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	in.Spec.DeepCopyInto(&out.Spec)
	in.Status.DeepCopyInto(&out.Status)
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ConfigCtrl.
func (in *ConfigCtrl) DeepCopy() *ConfigCtrl {
	if in == nil {
		return nil
	}
	out := new(ConfigCtrl)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *ConfigCtrl) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ConfigCtrlList) DeepCopyInto(out *ConfigCtrlList) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ListMeta.DeepCopyInto(&out.ListMeta)
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]ConfigCtrl, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ConfigCtrlList.
func (in *ConfigCtrlList) DeepCopy() *ConfigCtrlList {
	if in == nil {
		return nil
	}
	out := new(ConfigCtrlList)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *ConfigCtrlList) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ConfigCtrlSpec) DeepCopyInto(out *ConfigCtrlSpec) {
	*out = *in
	out.Resource = in.Resource
	if in.Patch != nil {
		in, out := &in.Patch, &out.Patch
		*out = make([]CfgPatch, len(*in))
		copy(*out, *in)
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ConfigCtrlSpec.
func (in *ConfigCtrlSpec) DeepCopy() *ConfigCtrlSpec {
	if in == nil {
		return nil
	}
	out := new(ConfigCtrlSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ConfigCtrlStatus) DeepCopyInto(out *ConfigCtrlStatus) {
	*out = *in
	if in.OldValues != nil {
		in, out := &in.OldValues, &out.OldValues
		*out = make([]CfgPatch, len(*in))
		copy(*out, *in)
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ConfigCtrlStatus.
func (in *ConfigCtrlStatus) DeepCopy() *ConfigCtrlStatus {
	if in == nil {
		return nil
	}
	out := new(ConfigCtrlStatus)
	in.DeepCopyInto(out)
	return out
}
